Skip to main content
Get edge volume instance
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Path Parameters

name
string
required

Response

A successful response.

id
string
read-only

System defined universally unique Id of the volume instance.

Pattern: [a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}
name
string

User defined name of the volume instance, unique across the enterprise. Once object is created, name can’t be changed.

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
title
string

User defined title of the volume instance. Title can be changed at any time.

Required string length: 3 - 256
Pattern: [a-zA-Z0-9]+[a-zA-Z0-9!-~ ]+
description
string

Detailed description of the volume instance.

Maximum string length: 256
revision
ObjectRevision is used to store the user information. · object

system defined Revision info of the object

projectId
string

id of the project in which the volume instance is created

type
enum<string>
default:VOLUME_INSTANCE_TYPE_UNSPECIFIED

type of Volume Instance

Available options:
VOLUME_INSTANCE_TYPE_UNSPECIFIED,
VOLUME_INSTANCE_TYPE_EMPTYDIR,
VOLUME_INSTANCE_TYPE_BLOCKSTORAGE,
VOLUME_INSTANCE_TYPE_HOSTFS,
VOLUME_INSTANCE_TYPE_TMPFS,
VOLUME_INSTANCE_TYPE_SECRET,
VOLUME_INSTANCE_TYPE_NFS,
VOLUME_INSTANCE_TYPE_AWS_BLOCK_STORAGE,
VOLUME_INSTANCE_TYPE_CONTENT_TREE
deviceId
string

id of the device on which volume instance is created

multiattach
boolean

flag to enable the volume to be attached to multiple app instances

cleartext
boolean

flag to keep the contents of the volume unencrypted (in clear text)

accessmode
enum<string>
default:VOLUME_INSTANCE_ACCESS_MODE_INVALID

Access mode

Available options:
VOLUME_INSTANCE_ACCESS_MODE_INVALID,
VOLUME_INSTANCE_ACCESS_MODE_READWRITE,
VOLUME_INSTANCE_ACCESS_MODE_READONLY,
VOLUME_INSTANCE_ACCESS_MODE_MULTIREAD_SINGLEWRITE
sizeBytes
integer<uint64>

size of volume

image
string

name of the image

implicit
boolean

flag to create implicit volumes

contentTreeId
string

content tree ID

label
string

label

purge
Zed cloud Operation command · object

Purge Counter information

tags
object

Tags are name/value pairs that enable you to categorize resources. Tag names are case insensitive with max_length 512 and min_length 3. Tag values are case sensitive with max_length 256 and min_length 3.

patchartifactvolume
string

flag to indicate whether volume instance is created for patch envelope external artifact

edgeNodeCluster
object

edge node cluster associated with the volume instance

Source definition conflict: this property declares type "string", while the referenced definition declares "object". The referenced schema is shown; the conflicting declaration needs correction in ZEDEDA's Swagger definition.